Subject: [PATCH] mmc: host: omap_hsmmc: add a verbose print to enable CONFIG_REGULATOR_PBIAS

From: [email-masked] (Tony Lindgren)
Date: Fri, 15 Jan 2016 08:02:19 -0800

* Russell King - ARM Linux <[email-masked]> [160115 01:15]:
> On Thu, Jan 14, 2016 at 11:40:25PM +0100, Sebastian Reichel wrote:
> > On Thu, Jan 14, 2016 at 05:25:49PM +0000, Russell King - ARM Linux wrote:
> > > There are very good reasons not to do this: that will result in
> > > configurations where MMC_OMAP_HS was set but without REGULATOR_PBIAS
> > > ending up with MMC_OMAP_HS being disabled.  That doesn't help the
> > > root problem, which is "why has the kernel boot regressed for my
> > > previous working configuration?"
> > > 
> > > The solution proposed here adds a message to the boot which points
> > > out fair and square what needs to be done to rectify the boot
> > > failure.  Adding a dependency just brings up the question "where
> > > has my MMC driver gone?"
> > 
> > The best thing would be to have no regression. Just printing a
> > message means I have to build another kernel. But more importantly
> > the message may not be visible by the user - e.g. if the display has
> > not yet been initialized.
> 
> I agree in principle, but that's not possible here (see Tony's mails
> on why the PBIAS stuff needs to be optional.)  I'd agree with changing
> the Kconfig if PBIAS were a hard and fast requirement, but it isn't.

Yeah. Probably the best solution for cases like this is to boot with
a small initrd. That way you can get usb console and networking going
before mounting the real root and you will see kernel messages with
only minimal things built in. You can build a small initramfs with
CONFIG_INITRAMFS_SOURCE that is appended to the kernel so you can
also boot the legacy user space too with that if needed.

Regards,

Tony